Package org.opengis.cite.iso19142.querymgmt

# Class StoredQueryManagement

java.lang.Object
org.opengis.cite.iso19142.querymgmt.StoredQueryManagement

public class StoredQueryManagement extends Object
Checks preconditions for running tests to verify that the IUT satisfies the requirements of the Manage stored queries conformance class. All tests are skipped if any preconditions are not met. The service constraint "ManageStoredQueries" must be set to "TRUE" in the capabilities document.

     <OperationsMetadata xmlns="http://www.opengis.net/ows/1.1">
       <Constraint name="ManageStoredQueries">
         <AllowedValues>
           <Value>TRUE</Value>
         </AllowedValues>
       </Constraint>
     </OperationsMetadata>

See Also:
  - ATC A.1.15: Manage stored queries

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LANG_WFS_QUERY`
  `static final String`
  `MANAGE_STORED_QRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoredQueryManagement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `implementsManageStoredQueries(org.testng.ITestContext testContext)`
  This @BeforeTest configuration method checks the implementation status of the "ManageStoredQueries" conformance class.
  `void`
  `supportedStoredQueryLanguages(org.testng.ITestContext testContext)`
  [`Test`] Confirms that the capabilities document advertises support for the (stored) query language "urn:ogc:def:queryLanguage:OGC-WFS::WFSQueryExpression" in the context of `CreateStoredQuery`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LANG_WFS_QUERY

    public static final String LANG_WFS_QUERY
    See Also:
      - Constant Field Values

  - ### MANAGE_STORED_QRY

    public static final String MANAGE_STORED_QRY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoredQueryManagement

    public StoredQueryManagement()

- ## Method Details

  - ### implementsManageStoredQueries

    @BeforeTest public void implementsManageStoredQueries(org.testng.ITestContext testContext)
    This @BeforeTest configuration method checks the implementation status of the "ManageStoredQueries" conformance class.
    Parameters:
      `testContext` - Information about the test run.

  - ### supportedStoredQueryLanguages

    public void supportedStoredQueryLanguages(org.testng.ITestContext testContext)
    [`Test`] Confirms that the capabilities document advertises support for the (stored) query language "urn:ogc:def:queryLanguage:OGC-WFS::WFSQueryExpression" in the context of `CreateStoredQuery`.
    Parameters:
      `testContext` - Information about the test run.